Skip to main content
`Ctrl`+`K`

# SNESLineSearchSetOrder

Sets the maximum order of the polynomial fit used in the line search

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESLineSearchSetOrder(SNESLineSearch linesearch, PetscInt order)

## Input Parameters

- linesearch - the line search context

- order - The order

Values for `order`:

- 1 or `SNES_LINESEARCH_ORDER_LINEAR` - linear order

- 2 or `SNES_LINESEARCH_ORDER_QUADRATIC` - quadratic order

- 3 or `SNES_LINESEARCH_ORDER_CUBIC` - cubic order

## Options Database Key

- -snes_linesearch_order order - 1, 2, 3. Most types only support certain orders (`SNESLINESEARCHBT` supports 2 or 3)

## Note

These orders are supported by `SNESLINESEARCHBT` and `SNESLINESEARCHCP`

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESLineSearch`, `SNESLineSearchGetOrder()`, `SNESLineSearchSetDamping()`

## Level

intermediate

## Location

src/snes/linesearch/interface/linesearch.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages